%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%define web_user wwwrun
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define web_user apache
%endif
Name: op5-trapper-gui
Version: 2.2.0
Release: op5.1
License: GPLv2
Packager: build@op5
Vendor: op5 AB
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: SNMP traps GUI
Group: op5/trapper
Prefix: /opt/monitor/op5/ninja
BuildArch: noarch
Requires: op5-trapper-processor, monitor-ninja >= 3.1
Requires: op5license
BuildRequires: monitor-ninja >= 3.1
Source: %name-%version.tar.gz

%description
SNMP traps GUI for Ninja

%package test
Summary: Tests for the trapper GUI
Group: op5/trapper
Requires: op5-mysql
Requires: rubygem20-op5cucumber
Requires: op5license-generator

%description test
Tests for the trapper GUI

%prep
rm -rf %buildroot
%setup -q

%build
make

%install
mkdir -p -m 755 %buildroot%prefix/modules
mkdir -p -m 755 %buildroot/opt/trapper/share/doc
cp admin-manual.pdf %buildroot/opt/trapper/share/doc/admin-manual.pdf
cp -r trapper %buildroot%prefix/modules
mkdir -p -m 755 %buildroot%prefix/modules/trapper/views/traps
ln -s ../../../../../../../trapper/share/doc/admin-manual.pdf %buildroot%prefix/modules/trapper/views/traps/op5-trapper-admin-manual.pdf


%files
%defattr(644,%daemon_user,%daemon_group,755)
%prefix/modules/trapper
/opt/trapper/share/doc/admin-manual.pdf

%files test
#nope
%exclude /

%clean
rm -rf %buildroot
